﻿/* Created by ★ Don’t Know ★ */

@import url("https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@300&display=swap");

span,
p,
input {
  color: white;
  font-family: "Montserrat Alternates", sans-serif;
  user-select: none;
}

input:focus {
    outline: none;
    border: none;
}

#PI {
  font-weight: 100;
}

html {
  position: relative;
  margin: 0;
  width: calc(100% - 30px);
  height: calc(100% - 30px);
  background: linear-gradient(180deg, #222 0%, #111 45%, #000);
  overflow: auto;
  padding: 15px;
  min-width: 333px;
  min-height: 500px;
  user-select: none;
}

body {
  max-height: 500px;
  max-width: 350px;
  position: relative;
  margin: 0;
  padding: 0;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
}

#calculator {
  width: 333px;
  height: 500px;
  background: transparent;
  overflow: hidden;
}

#container1 {
  position: relative;
  top: 0;
  width: auto;
  height: 10%;
}

#container2 {
  position: absolute;
  white-space: nowrap;
  width: auto;
  left: 0;
  top: 13%;
  height: 24%;
  bottom: 0;
  padding-right: 0;
  padding-left: 0;
  padding-top: 0;
  overflow: hidden;
  text-align: center;
}

#container3 {
  position: absolute;
  white-space: nowrap;
  width: auto;
  left: 0;
  height: auto;
  background: transparent;
  overflow: hidden;
  text-align: center;
  top: 195px;
}

input {
  position: absolute;
  margin: 0;
  width: 94%;
  height: 50px;
  font-size: 24px;
  text-align: right;
  background: transparent;
  border: none;
  padding: 0;
  top: 0;
  left: 0;
}

#helper {
  position: absolute;
  color: white;
  background: transparent;
  cursor: auto;
  top: 45px;
  width: auto;
  height: auto;
  border-radius: 0;
  margin: 0;
  padding: 0;
  left: 5px;
  box-shadow: none;
  opacity: 0;
}

p {
  display: inline-block;
  position: relative;
  top: 0;
  left: 0;
  margin: 5px;
  width: 70px;
  height: 40px;
  border-radius: 10px;
  background: transparent;
  text-align: center;
  padding-top: 10px;
  cursor: pointer;
  font-size: 24px;
  vertical-align: middle;
}

#zero {
  width: 154px;
}

#zero,
#one,
#two,
#three,
#four,
#five,
#six,
#seven,
#eight,
#nine,
#point {
  background: #171818;
  transition-property: background-color;
  transition-duration: 750ms;
  transition-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
}

#zero:hover,
#one:hover,
#two:hover,
#three:hover,
#four:hover,
#five:hover,
#six:hover,
#seven:hover,
#eight:hover,
#nine:hover,
#point:hover {
  background-color: #363636;
}

#cleaner,
#delNum,
#percent {
  background: #848385;
  transition-property: background-color;
  transition-duration: 750ms;
  transition-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
}

#cleaner:hover,
#delNum:hover,
#percent:hover {
  background-color: #373638;
}

#divide,
#mult,
#minus,
#plus,
#equal {
  background: #c90000;
  transition-property: background-color;
  transition-duration: 750ms;
  transition-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
}

#divide:hover,
#mult:hover,
#minus:hover,
#plus:hover,
#equal:hover {
  background: #800000;
}

span {
  vertical-align: text-top;
  left: 0;
  text-align: center;
  border-radius: 50%;
  padding-top: 10px;
  position: relative;
  display: inline-block;
  width: 40px;
  height: 25px;
  background: #3a3a3a;
  font-size: 12px;
  cursor: pointer;
  margin: 3px 2px;
  box-shadow: inset 0px -2px 5px #605959;
  transition: background-color 750ms cubic-bezier(0.075, 0.82, 0.165, 1) 0s;
}

#toggle {
  transition: background-color 1s cubic-bezier(0.075, 0.82, 0.165, 1) 0s,
    color 1s cubic-bezier(0.075, 0.82, 0.165, 1) 0s;
}

span:hover {
  background-color: #626262;
}

#helper:hover {
  background-color: transparent;
}

#helper {
  transition: opacity 1s cubic-bezier(0.075, 0.82, 0.165, 1) 0s;
}

#xPow2,
#xPow3,
#xPowY,
#tenPowX,
#twoPowX,
#threePowX,
#powE,
#toggle,
#root,
#arcsin,
#arccos,
#arctan,
#arcctg,
#asinh,
#acosh,
#atanh,
#actgh {
  padding-top: 8px;
  height: 27px;
}

